From 9f3c784d483623edb65f6e9579fd1a34e885f766 Mon Sep 17 00:00:00 2001
From: Kent Fredric <kentnl@gentoo.org>
Date: Thu, 10 Sep 2020 11:34:38 +1200
Subject: Strip automagic detection if include/ and lib/ dirs.

---
 Makefile.PL | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

diff --git a/Makefile.PL b/Makefile.PL
index 954df92..ccd842a 100755
--- a/Makefile.PL
+++ b/Makefile.PL
@@ -6,14 +6,14 @@ my ($define, $ccfl);
 ($^O =~ m/AIX/i) ? ($ccfl = '-qcpluscmt') : ($ccfl = '');
 
 # path libsmbclient.h
-my $include = try_to_find("libsmbclient.h");
-$include = prompt("Where can I find libsmbclient.h ?", $include);
-warn_user("$include/libsmbclient.h") if (!-r "$include/libsmbclient.h");
+my $include = $ENV{GENTOO_INC_SMBCLIENT};
+die "No GENTOO_INC_SMBCLIENT" if not defined $include;
+die "No $include/libsmbclient.h" if not -r "$include/libsmbclient.h";
 
 # path libsmbclient.so
-my $lib = try_to_find("libsmbclient.so");
-$lib = prompt("Where can I find libsmbclient.so ?",$lib);
-warn_user("libsmbclient.so") if (!-r "$lib/libsmbclient.so");
+my $lib = $ENV{GENTOO_LIB_SMBCLIENT};
+die "No GENTOO_LIB_SMBCLIENT" if not defined $lib;
+die "No $lib/libsmbclient.so" if not -r "$lib/libsmbclient.so";
 
 # tests demande ?
 my $ans = 
@@ -87,6 +87,8 @@ EOF
 
   }
 
+=cut
+
 sub try_to_find {
   my $name = shift;
   my @path = find_path($name);
@@ -113,3 +115,5 @@ sub find_path {
   print "I search in: ",(join "\n", @path),"\n";
   return @path;
 }
+
+=cut
-- 
2.28.0

